| Bsoft 2.0.5 Bernard's software package

Macros | Functions | Variables
bar.cpp File Reference

Program to do simple arithmetic on images. More...

`#include "rwimg.h"`
`#include "utilities.h"`
`#include "options.h"`
`#include "timer.h"`

Go to the source code of this file.

## Macros
#define | MAXOP 16

## Functions
int | main (int argc, char **argv)

## Variables
int | verbose
const char * | use []

## Detailed Description

Program to do simple arithmetic on images.

Author
  Bernard Heymann

Date
  Created: 20040727
  Modified: 20110730

Definition in file bar.cpp.

## Macro Definition Documentation

## ◆ MAXOP

#define MAXOP 16

Definition at line 17 of file bar.cpp.

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 39 of file bar.cpp.

## Variable Documentation

## ◆ use

const char* use[]

Initial value:
= {
" ",
"Usage: bar [options] input.img output.img",
"-----------------------------------------",
"Does simple arithmetic on images.",
"Operations are done in the order given on the command line.",
" ",
"Actions:",
"-add -5.78 Add a constant to each voxel.",
"-multiply 6.123 Multiply each voxel with a constant.",
"-power 0.75 Raise to the power (must be positive).",
" ",
"Parameters:",
"-verbose 7 Verbosity of output.",
"-datatype u Force writing of a new data type.",
" ",
NULL
}

Definition at line 20 of file bar.cpp.

## ◆ verbose

int verbose